%define languageenglazy Latin
%define languagecode    la
%define lc_ctype        la_VA

%define tarball_version 2010-08-23

%define upstream_version %(echo %{tarball_version} | sed -r 's@-@@g')

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/project/dict-la
Source0:        http://extensions.services.openoffice.org/e-files/1141/1/dict-%{languagecode}_%{tarball_version}.oxt

BuildArch:      noarch

Suggests:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-la_LA < 1.0.3
Provides:       myspell-la_LA

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README_extension_owner-la.txt la/README_la.txt la/COPYING*; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p la/la.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p la/la.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_extension_owner-la.txt la/README_la.txt la/COPYING_*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Feb 14 2012 kamil <kamil> 0.20100823.1-4.mga2
+ Revision: 208517
- use better obsoleting of myspell

* Fri Jan 27 2012 kamil <kamil> 0.20100823.1-3.mga2
+ Revision: 202241
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20100823.1-2.mga1
+ Revision: 68904
- imported package hunspell-la

